package pay

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type merchantConfigDebugRequest struct {
	*requests.RpcRequest
	MchId string `position:"Body" field:"mch_id" default:"" `
}

type merchantConfigDebugResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
}

func CreateMerchantConfigDebugRequest() (req *ComplaintNotifyUrlRequest) {
	req = &ComplaintNotifyUrlRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/complaint/configDebug")
	req.Method = requests.POST
	return
}

func CreateMerchantConfigDebugResponse() (response *ComplaintNotifyUrlResponse) {
	response = &ComplaintNotifyUrlResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
